
package de.ivu.elect.presentation.email.action;

import de.ivu.elect.business.email.boundary.EmailLayoutChangeEvent;
import de.ivu.elect.business.email.entity.EmailLayout;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

import javax.inject.Inject;

public abstract class AbstractEmailLayoutAction extends AbstractActionEntry<EmailLayout> {

  private static final long serialVersionUID = 1L;

  @Inject
  private EmailLayoutChangeEvent emailLayoutChangeEvent;

  public AbstractEmailLayoutAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return AbstractActionEntry.KEINE_GEBIET_SECURITY;
  }

  @Override
  protected void fireChangeEvent() {
    emailLayoutChangeEvent.sendChangeEvent();
  }
}
